## node-blueprintjs 4.17.8~git20230417213433.6dab069+ds1

=== debian/changelog ===
node-blueprintjs (4.17.8~git20230417213433.6dab069+ds1-3) unstable; urgency=medium

  * Back to unstable

 -- Yadd <yadd@debian.org>  Sun, 16 Jul 2023 07:57:40 +0400

node-blueprintjs (4.17.8~git20230417213433.6dab069+ds1-2) experimental; urgency=medium

  * Add missing build dependency on dh-nodejs for command dh_nodejs_autodocs
  * Update copyright
  * Fix binary packages versions

 -- Yadd <yadd@debian.org>  Sun, 07 May 2023 01:32:21 +0400

node-blueprintjs (4.17.8~git20230417213433.6dab069+ds1-1) experimental; urgency=medium

  * Initial release (Closes: #1000728)

 -- Yadd <yadd@debian.org>  Tue, 18 Apr 2023 16:15:39 +0400
