=== debian/control ===
Source: node-blueprintjs
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-change-case <!nocheck>
 , node-classnames
 , node-dom4 <!nocheck>
 , node-juggle-resize-observer
 , node-normalize.css <!nocheck>
 , node-popper.js
 , node-popper2 (>= 2.11.2-5~)
 , node-prop-types
 , node-react
 , node-react-dom
 , node-react-popper
 , node-react-transition-group
 , node-tslib
 , node-typescript
 , dh-nodejs
Standards-Version: 4.6.2
Homepage: https://github.com/palantir/blueprint
Vcs-Git: https://salsa.debian.org/js-team/node-blueprintjs.git
Vcs-Browser: https://salsa.debian.org/js-team/node-blueprintjs
Rules-Requires-Root: no

Package: node-blueprintjs-core
Architecture: all
Depends: ${misc:Depends}
 , node-popper.js
 , node-change-case
 , node-classnames
 , node-dom4
 , node-juggle-resize-observer
 , node-normalize.css
 , node-react
 , node-react-dom
 , node-react-popper
 , node-react-transition-group
 , node-tslib
Breaks: node-blueprintjs-colors
Provides: ${nodeBlueprintjsCore:Provides}
Description: core set of Blueprint, a React UI toolkit
 Blueprint is a React UI toolkit for the web. This package contains:
 * the core set of UI components as CSS and React code
 * a collection of React components and other files for displayng icons
   (@blueprintjs/icons)
 * color variables for Blueprint's color palette (@blueprintjs/colors)

Package: node-blueprintjs-popover2
Architecture: all
Depends: ${misc:Depends}
 , node-blueprintjs-core
Description: next versions of Popover and Tooltip components
 Blueprint is a React UI toolkit for the web. node-blueprintjs-popover2
 provides the next versions of Popover and Tooltip components.

Package: node-blueprintjs-select
Architecture: all
Depends: ${misc:Depends}
 , node-blueprintjs-popover2
Description: React components related to selecting items from a list
 Blueprint is a React UI toolkit for the web. node-blueprintjs-select
 provides React components related to selecting items from a list:
 * Select for selecting items in a list.
 * Suggest for selecting items in a list, from a text input.
 * MultiSelect for selecting multiple items in a list.
 * Omnibar, a macOS spotlight-style typeahead component.
 * QueryList, a higher-order component that provides interactions between a query string and a list of items.
