=== debian/watch ===
version=4

opts=mode=git,\
repacksuffix=+ds1,\
date=%Y%m%d%H%M%S,\
dversionmangle=auto,\
pgpmode=none,\
pretty=4.17.8~git%cd.%h \
 https://github.com/palantir/blueprint.git HEAD

opts=\
searchmode=plain,\
component=blueprintjs-icons,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-blueprintjs-icons-$1/ \
 https://registry.npmjs.org/@blueprintjs/icons https://registry.npmjs.org/@blueprintjs/icons/-/icons-([\d\.]+)@ARCHIVE_EXT@ ignore
